org.keycloak.services.clientpolicy.context

## Class AuthorizationRequestContext

- java.lang.Object
- - org.keycloak.services.clientpolicy.context.AuthorizationRequestContext

- All Implemented Interfaces:
    ClientPolicyContext

      public class AuthorizationRequestContext
      extends Object
      implements ClientPolicyContext

  Author:
    Takashi Norimatsu

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationRequestContext(OIDCResponseType parsedResponseType, AuthorizationEndpointRequest request, String redirectUri, javax.ws.rs.core.MultivaluedMap<String,String> requestParameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorizationEndpointRequest` | `getAuthorizationEndpointRequest()`
    `ClientPolicyEvent` | `getEvent()` returns `ClientPolicyEvent` of client policy related events.
    `OIDCResponseType` | `getparsedResponseType()`
    `String` | `getRedirectUri()`
    `javax.ws.rs.core.MultivaluedMap<String,String>` | `getRequestParameters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizationRequestContext

          public AuthorizationRequestContext(OIDCResponseType parsedResponseType,
                                             AuthorizationEndpointRequest request,
                                             String redirectUri,
                                             javax.ws.rs.core.MultivaluedMap<String,String> requestParameters)

  - ### Method Detail

    - #### getEvent

          public ClientPolicyEvent getEvent()

      Description copied from interface: `ClientPolicyContext`
      returns `ClientPolicyEvent` of client policy related events.
      Specified by:
        `getEvent` in interface `ClientPolicyContext`
      Returns:
        `ClientPolicyEvent`

    - #### getparsedResponseType

          public OIDCResponseType getparsedResponseType()

    - #### getAuthorizationEndpointRequest

          public AuthorizationEndpointRequest getAuthorizationEndpointRequest()

    - #### getRedirectUri

          public String getRedirectUri()

    - #### getRequestParameters

          public javax.ws.rs.core.MultivaluedMap<String,String> getRequestParameters()

Copyright © 2021 JBoss by Red Hat. All rights reserved.